%define upstream_name    DCOP
%define upstream_version 0.038

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Epoch:      2

Summary:    Extensible inheritable class to dcop
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildArch: noarch



%description
This class is meant to be a base constructor for higher level of
abstraction on dcop clients.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2:0.38.0-4.mga4
+ Revision: 510470
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2:0.38.0-3.mga3
+ Revision: 365198
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 2:0.38.0-2.mga1
+ Revision: 22327
- cleaning spec file
- imported package perl-DCOP

